From 3259999f1b4e951d9fb8d50af1c857039b1674b7 Mon Sep 17 00:00:00 2001
From: Jan Provaznik <jprovazn@redhat.com>
Date: Thu, 16 Jun 2011 12:14:56 +0200
Subject: [PATCH] Removed legacy models - migration

dropped tables and columns referencing legacy models
---
 aeolus-conductor.spec.in                           |   10 +-
 src/app/controllers/application_controller.rb      |    1 -
 src/app/controllers/builds_controller.rb           |  110 -------
 src/app/controllers/deployments_controller.rb      |   39 +---
 .../controllers/hardware_profiles_controller.rb    |    1 -
 src/app/controllers/image_imports_controller.rb    |   26 --
 src/app/controllers/instances_controller.rb        |   71 +-----
 .../controllers/legacy_assemblies_controller.rb    |    6 -
 .../controllers/legacy_deployables_controller.rb   |  149 ----------
 src/app/controllers/legacy_templates_controller.rb |  301 --------------------
 src/app/controllers/pool_families_controller.rb    |    1 -
 src/app/controllers/pools_controller.rb            |    1 -
 .../controllers/provider_accounts_controller.rb    |    1 -
 src/app/controllers/providers_controller.rb        |    1 -
 src/app/controllers/realm_mappings_controller.rb   |    1 -
 src/app/controllers/realms_controller.rb           |    1 -
 src/app/controllers/roles_controller.rb            |    1 -
 src/app/controllers/settings_controller.rb         |    1 -
 .../suggested_deployables_controller.rb            |    1 -
 src/app/controllers/users_controller.rb            |    1 -
 src/app/helpers/legacy_templates_helper.rb         |    8 -
 src/app/models/build_job.rb                        |   62 ----
 src/app/models/deployment.rb                       |   24 +-
 src/app/models/icicle.rb                           |   14 +-
 src/app/models/instance.rb                         |   15 +-
 src/app/models/legacy_assembly.rb                  |   87 ------
 src/app/models/legacy_deployable.rb                |   95 ------
 src/app/models/legacy_image.rb                     |  245 ----------------
 src/app/models/legacy_provider_image.rb            |   69 -----
 src/app/models/legacy_template.rb                  |  187 ------------
 src/app/models/permission.rb                       |    6 -
 src/app/models/privilege.rb                        |    1 -
 src/app/models/provider.rb                         |    1 -
 src/app/models/provider_type.rb                    |    1 -
 src/app/models/push_job.rb                         |   50 ----
 src/app/models/suggested_deployable.rb             |    3 +-
 src/app/util/image_descriptor_xml.rb               |  238 ----------------
 src/app/util/repository_manager.rb                 |  111 -------
 .../util/repository_manager/abstract_repository.rb |   17 --
 .../util/repository_manager/comps_repository.rb    |  158 ----------
 src/app/util/repository_manager/pulp_repository.rb |   83 ------
 src/app/views/deployments/_edit.haml               |    1 -
 src/app/views/deployments/_filter_view.haml        |    2 +-
 src/app/views/deployments/_legacy_launch_new.haml  |    8 -
 src/app/views/deployments/_legacy_new.haml         |   25 --
 src/app/views/deployments/_list.haml               |    2 +-
 src/app/views/deployments/legacy_launch_new.haml   |    1 -
 src/app/views/deployments/legacy_new.haml          |    1 -
 src/app/views/image_imports/new.haml               |    8 -
 src/app/views/instances/_list.haml                 |    2 -
 src/app/views/instances/_new.haml                  |   27 --
 src/app/views/instances/index.haml                 |    3 +-
 .../views/instances/select_legacy_template.haml    |   19 --
 src/app/views/instances/show.haml                  |    6 +-
 src/app/views/layouts/application.haml             |    2 -
 src/app/views/legacy_assemblies/index.haml         |    1 -
 src/app/views/legacy_deployables/_assemblies.haml  |   30 --
 src/app/views/legacy_deployables/_deployments.haml |   25 --
 src/app/views/legacy_deployables/_form.haml        |   10 -
 src/app/views/legacy_deployables/_list.haml        |   28 --
 .../views/legacy_deployables/_pick_assemblies.haml |   16 -
 src/app/views/legacy_deployables/_properties.haml  |    8 -
 src/app/views/legacy_deployables/edit.haml         |    4 -
 src/app/views/legacy_deployables/index.haml        |    2 -
 src/app/views/legacy_deployables/new.haml          |    3 -
 .../views/legacy_deployables/pick_assemblies.haml  |    5 -
 src/app/views/legacy_deployables/show.haml         |    5 -
 src/app/views/legacy_templates/_addbuttons.haml    |    4 -
 src/app/views/legacy_templates/_basics.haml        |   27 --
 src/app/views/legacy_templates/_builds.haml        |   41 ---
 src/app/views/legacy_templates/_collections.haml   |    8 -
 src/app/views/legacy_templates/_form.haml          |  120 --------
 src/app/views/legacy_templates/_hidden_fields.haml |    8 -
 src/app/views/legacy_templates/_list.haml          |   35 ---
 .../legacy_templates/_local_content_to_bundle.haml |   21 --
 .../views/legacy_templates/_managed_content.haml   |   21 --
 .../legacy_templates/_metagroup_packages.haml      |   19 --
 src/app/views/legacy_templates/_metagroups.haml    |   13 -
 .../legacy_templates/_preboot_configuration.haml   |   11 -
 src/app/views/legacy_templates/_properties.haml    |    4 -
 .../views/legacy_templates/_search_packages.haml   |   45 ---
 .../legacy_templates/_software_selection.haml      |   41 ---
 src/app/views/legacy_templates/collections.haml    |    1 -
 src/app/views/legacy_templates/edit.haml           |    9 -
 src/app/views/legacy_templates/index.haml          |    2 -
 .../views/legacy_templates/managed_content.haml    |    1 -
 .../views/legacy_templates/metagroup_packages.haml |    1 -
 src/app/views/legacy_templates/new.haml            |   10 -
 .../views/legacy_templates/search_packages.haml    |    1 -
 src/app/views/legacy_templates/show.haml           |    5 -
 .../xml/_hardware_profile.xml.haml                 |    6 -
 .../xml/_hardware_profile_property.xml.haml        |    9 -
 src/app/views/pools/_instances.haml                |    2 +-
 .../image_descriptor_package_metagroups.conf       |   20 --
 .../image_descriptor_package_repositories.yml      |   35 ---
 .../image_descriptor_platform_repositories.yml     |    9 -
 src/config/image_descriptor_targets.yml            |   18 --
 src/config/locales/en.yml                          |    9 -
 src/config/navigation.rb                           |    6 -
 src/config/routes.rb                               |   10 +-
 src/db/migrate/20110207101100_deployment_roles.rb  |    1 -
 ...132404_add_target_id_column_to_legacy_images.rb |   14 -
 .../20110302120000_add_status_to_provider_image.rb |   18 --
 ...10322120000_add_legacy_template_creator_role.rb |   47 ---
 .../migrate/20110616100915_remove_legacy_models.rb |   20 ++
 src/db/seeds.rb                                    |   11 +-
 src/features/authentication.feature                |    6 +-
 src/features/instance.feature                      |  112 ++++----
 src/features/step_definitions/authentication.rb    |    3 +-
 src/features/support/custom.rb                     |   16 -
 src/features/support/paths.rb                      |   21 --
 src/lib/tasks/dc_tasks.rake                        |   21 --
 src/script/use-existing-ec2-templates              |   81 ------
 .../legacy_templates_controller_spec.rb            |   18 --
 src/spec/factories/build_job.rb                    |    7 -
 src/spec/factories/legacy_assembly.rb              |    6 -
 src/spec/factories/legacy_deployable.rb            |    5 -
 src/spec/factories/legacy_image.rb                 |   15 -
 src/spec/factories/legacy_provider_image.rb        |   15 -
 src/spec/factories/legacy_template.rb              |   11 -
 src/spec/factories/push_job.rb                     |    3 -
 src/spec/models/build_job_spec.rb                  |    9 -
 src/spec/models/legacy_assembly_spec.rb            |   25 --
 src/spec/models/legacy_deployable_spec.rb          |   56 ----
 src/spec/models/legacy_image_spec.rb               |   75 -----
 src/spec/models/legacy_template_spec.rb            |   46 ---
 src/spec/models/push_job_spec.rb                   |   13 -
 src/spec/services/registration_service_spec.rb     |    6 +-
 src/spec/utils/repository_manager_spec.rb          |   52 ----
 129 files changed, 118 insertions(+), 3630 deletions(-)
 delete mode 100644 src/app/controllers/builds_controller.rb
 delete mode 100644 src/app/controllers/image_imports_controller.rb
 delete mode 100644 src/app/controllers/legacy_assemblies_controller.rb
 delete mode 100644 src/app/controllers/legacy_deployables_controller.rb
 delete mode 100644 src/app/controllers/legacy_templates_controller.rb
 delete mode 100644 src/app/helpers/legacy_templates_helper.rb
 delete mode 100644 src/app/models/build_job.rb
 delete mode 100644 src/app/models/legacy_assembly.rb
 delete mode 100644 src/app/models/legacy_deployable.rb
 delete mode 100644 src/app/models/legacy_image.rb
 delete mode 100644 src/app/models/legacy_provider_image.rb
 delete mode 100644 src/app/models/legacy_template.rb
 delete mode 100644 src/app/models/push_job.rb
 delete mode 100644 src/app/util/image_descriptor_xml.rb
 delete mode 100644 src/app/util/repository_manager.rb
 delete mode 100644 src/app/util/repository_manager/abstract_repository.rb
 delete mode 100644 src/app/util/repository_manager/comps_repository.rb
 delete mode 100644 src/app/util/repository_manager/pulp_repository.rb
 delete mode 100644 src/app/views/builds/index.haml
 delete mode 100644 src/app/views/deployments/_legacy_launch_new.haml
 delete mode 100644 src/app/views/deployments/_legacy_new.haml
 delete mode 100644 src/app/views/deployments/legacy_launch_new.haml
 delete mode 100644 src/app/views/deployments/legacy_new.haml
 delete mode 100644 src/app/views/image_imports/new.haml
 delete mode 100644 src/app/views/instances/_new.haml
 delete mode 100644 src/app/views/instances/select_legacy_template.haml
 delete mode 100644 src/app/views/legacy_assemblies/index.haml
 delete mode 100644 src/app/views/legacy_deployables/_assemblies.haml
 delete mode 100644 src/app/views/legacy_deployables/_deployments.haml
 delete mode 100644 src/app/views/legacy_deployables/_form.haml
 delete mode 100644 src/app/views/legacy_deployables/_list.haml
 delete mode 100644 src/app/views/legacy_deployables/_pick_assemblies.haml
 delete mode 100644 src/app/views/legacy_deployables/_properties.haml
 delete mode 100644 src/app/views/legacy_deployables/edit.haml
 delete mode 100644 src/app/views/legacy_deployables/index.haml
 delete mode 100644 src/app/views/legacy_deployables/new.haml
 delete mode 100644 src/app/views/legacy_deployables/pick_assemblies.haml
 delete mode 100644 src/app/views/legacy_deployables/show.haml
 delete mode 100644 src/app/views/legacy_templates/_addbuttons.haml
 delete mode 100644 src/app/views/legacy_templates/_basics.haml
 delete mode 100644 src/app/views/legacy_templates/_builds.haml
 delete mode 100644 src/app/views/legacy_templates/_collections.haml
 delete mode 100644 src/app/views/legacy_templates/_form.haml
 delete mode 100644 src/app/views/legacy_templates/_hidden_fields.haml
 delete mode 100644 src/app/views/legacy_templates/_list.haml
 delete mode 100644 src/app/views/legacy_templates/_local_content_to_bundle.haml
 delete mode 100644 src/app/views/legacy_templates/_managed_content.haml
 delete mode 100644 src/app/views/legacy_templates/_metagroup_packages.haml
 delete mode 100644 src/app/views/legacy_templates/_metagroups.haml
 delete mode 100644 src/app/views/legacy_templates/_preboot_configuration.haml
 delete mode 100644 src/app/views/legacy_templates/_properties.haml
 delete mode 100644 src/app/views/legacy_templates/_search_packages.haml
 delete mode 100644 src/app/views/legacy_templates/_software_selection.haml
 delete mode 100644 src/app/views/legacy_templates/collections.haml
 delete mode 100644 src/app/views/legacy_templates/edit.haml
 delete mode 100644 src/app/views/legacy_templates/index.haml
 delete mode 100644 src/app/views/legacy_templates/managed_content.haml
 delete mode 100644 src/app/views/legacy_templates/metagroup_packages.haml
 delete mode 100644 src/app/views/legacy_templates/new.haml
 delete mode 100644 src/app/views/legacy_templates/search_packages.haml
 delete mode 100644 src/app/views/legacy_templates/show.haml
 delete mode 100644 src/app/views/legacy_templates/xml/_hardware_profile.xml.haml
 delete mode 100644 src/app/views/legacy_templates/xml/_hardware_profile_property.xml.haml
 delete mode 100644 src/config/image_descriptor_package_metagroups.conf
 delete mode 100644 src/config/image_descriptor_package_repositories.yml
 delete mode 100644 src/config/image_descriptor_platform_repositories.yml
 delete mode 100644 src/config/image_descriptor_targets.yml
 delete mode 100644 src/db/migrate/20110322120000_add_legacy_template_creator_role.rb
 create mode 100644 src/db/migrate/20110616100915_remove_legacy_models.rb
 delete mode 100755 src/script/use-existing-ec2-templates
 delete mode 100644 src/spec/controllers/legacy_templates_controller_spec.rb
 delete mode 100644 src/spec/factories/build_job.rb
 delete mode 100644 src/spec/factories/legacy_assembly.rb
 delete mode 100644 src/spec/factories/legacy_deployable.rb
 delete mode 100644 src/spec/factories/legacy_image.rb
 delete mode 100644 src/spec/factories/legacy_provider_image.rb
 delete mode 100644 src/spec/factories/legacy_template.rb
 delete mode 100644 src/spec/factories/push_job.rb
 delete mode 100644 src/spec/models/build_job_spec.rb
 delete mode 100644 src/spec/models/legacy_assembly_spec.rb
 delete mode 100644 src/spec/models/legacy_deployable_spec.rb
 delete mode 100644 src/spec/models/legacy_image_spec.rb
 delete mode 100644 src/spec/models/legacy_template_spec.rb
 delete mode 100644 src/spec/models/push_job_spec.rb
 delete mode 100644 src/spec/utils/repository_manager_spec.rb

diff --git a/aeolus-conductor.spec.in b/aeolus-conductor.spec.in
index 64a9e3c..41c634d 100644
--- a/aeolus-conductor.spec.in
+++ b/aeolus-conductor.spec.in
@@ -132,10 +132,7 @@ haml="app/views/hardware_profiles app/views/realm_mappings \
       app/views/users app/views/provider_accounts \
       app/views/roles app/views/providers app/views/settings \
       app/views/realms app/views/pool_families app/views/layouts\
-      app/views/quotas app/views/legacy_deployables \
-      app/views/image_imports app/views/legacy_assemblies \
-      app/views/legacy_templates app/views/builds \
-      app/views/permissions app/views/legacy_templates/xml \
+      app/views/quotas app/views/permissions \
       app/views/deployments app/views/pools \
       app/views/instances app/views/user_sessions"
 html="public"
@@ -152,11 +149,11 @@ png="public/images public/images/icons public/stylesheets/images \
 rake="lib/tasks"
 rb="app/models app/controllers \
     app/helpers \
-    app/services app/util app/util/repository_manager \
+    app/services app/util \
     config config/initializers config/environments db db/migrate dutils \
     features/support features/step_definitions lib public spec \
     spec/controllers spec/factories spec/helpers spec/models spec/services \
-    spec/utils warehouse_sync"
+    warehouse_sync"
 rhtml="app/views/layouts"
 scss="app/stylesheets"
 svg="public/images public/images/icons public/javascripts/jquery-svg"
@@ -187,7 +184,6 @@ done
 # something of a policy we are encoding in the RPM, it is nice to give the user
 # sane defaults.  The user can still override this with their own configuration
 %{__cp} src/config/database.pg %{buildroot}%{app_root}/config/database.yml
-%{__cp} src/config/image_descriptor_package_metagroups.conf %{buildroot}%{app_root}/config
 
 %{__mkdir} -p %{buildroot}%{app_root}/dbomatic
 %{__cp} src/dbomatic/dbomatic %{buildroot}%{app_root}/dbomatic
diff --git a/src/app/controllers/application_controller.rb b/src/app/controllers/application_controller.rb
index dccd401..4eed65a 100644
--- a/src/app/controllers/application_controller.rb
+++ b/src/app/controllers/application_controller.rb
@@ -28,7 +28,6 @@ class ApplicationController < ActionController::Base
   filter_parameter_logging :password, :password_confirmation
   helper_method :current_user_session, :current_user, :filter_view?
   before_filter :read_breadcrumbs
-  layout 'old'
 
   def top_section; end
 
diff --git a/src/app/controllers/deployments_controller.rb b/src/app/controllers/deployments_controller.rb
index b5cfaf3..e802095 100644
--- a/src/app/controllers/deployments_controller.rb
+++ b/src/app/controllers/deployments_controller.rb
@@ -3,8 +3,6 @@ class DeploymentsController < ApplicationController
   before_filter :load_deployments, :only => [:index, :show]
   before_filter :load_deployment, :only => [:edit, :update]
 
-  layout 'application'
-
   viewstate :show do |default|
     default.merge!({
       :view => 'pretty',
@@ -34,19 +32,6 @@ class DeploymentsController < ApplicationController
     end
   end
 
-  # TODO - 03may2011 - This is going away
-  def legacy_launch_new
-    @launchable_deployables = []
-    LegacyDeployable.all.each do |deployable|
-      @launchable_deployables << deployable if deployable.launchable?
-    end
-    respond_to do |format|
-      format.js { render :partial => 'legacy_launch_new' }
-      format.html
-      format.json { render :json => @launchable_deployables }
-    end
-  end
-
   # launch_new will post here, but you can use this RESTfully as well
   def new
     @deployment = Deployment.new(params[:deployment])
@@ -63,28 +48,6 @@ class DeploymentsController < ApplicationController
     end
   end
 
-  # TODO - 03may2011 - This is going away
-  def legacy_new
-    require_privilege(Privilege::CREATE, Deployment)
-    @deployment = Deployment.new(:legacy_deployable_id => params[:legacy_deployable_id])
-    respond_to do |format|
-      if @deployment.legacy_deployable.legacy_assemblies.empty?
-        flash[:warning] = "Deployable must have at least one assembly"
-        format.js do
-          load_deployments
-          render :partial => 'list'
-        end
-        format.html { redirect_to deployments_path }
-        format.json { render :json => {:error => flash[:warning]}, :status => :unprocessable_entity }
-      else
-        init_new_deployment_attrs
-        format.js { render :partial => 'legacy_new' }
-        format.html
-        format.json { render :json => @deployment }
-      end
-    end
-  end
-
   def create
     @deployment = Deployment.new(params[:deployment])
     require_privilege(Privilege::CREATE, Deployment, @deployment.pool)
@@ -109,7 +72,7 @@ class DeploymentsController < ApplicationController
         @pool = @deployment.pool
         flash.now[:warning] = "Deployment launch failed"
         init_new_deployment_attrs
-        format.js { legacy_launch_new }
+        format.js { launch_new }
         format.html { render :action => 'new' }
         format.json { render :json => @deployment.errors, :status => :unprocessable_entity }
       end
diff --git a/src/app/controllers/hardware_profiles_controller.rb b/src/app/controllers/hardware_profiles_controller.rb
index 4b06f18..9051de8 100644
--- a/src/app/controllers/hardware_profiles_controller.rb
+++ b/src/app/controllers/hardware_profiles_controller.rb
@@ -5,7 +5,6 @@ class HardwareProfilesController < ApplicationController
   before_filter :load_hardware_profile, :only => [:show]
   before_filter :setup_new_hardware_profile, :only => [:new]
   before_filter :setup_hardware_profile, :only => [:new, :create, :edit, :update]
-  layout 'application'
 
   def top_section
     :administer
diff --git a/src/app/controllers/instances_controller.rb b/src/app/controllers/instances_controller.rb
index 88fda19..8053203 100644
--- a/src/app/controllers/instances_controller.rb
+++ b/src/app/controllers/instances_controller.rb
@@ -21,77 +21,9 @@ class InstancesController < ApplicationController
   end
 
   def new
-    @instance = Instance.new(params[:instance])
-    require_privilege(Privilege::CREATE, Instance, @instance.pool) if @instance.pool
-
-    unless @instance.legacy_template
-      redirect_to select_legacy_template_instances_path
-      return
-    end
-
-    init_new_instance_attrs
-    respond_to do |format|
-      format.js { render :partial => 'new' }
-      format.html
-      format.json { render :json => @instance }
-    end
-  end
-
-  def select_legacy_template
-    # FIXME: we need to list only legacy_templates for particular user,
-    # => TODO: add TEMPLATE_* permissions
-    @legacy_templates = LegacyTemplate.paginate(
-      :page => params[:page] || 1,
-      :include => {:legacy_images => :legacy_provider_images},
-      :conditions => "legacy_provider_images.status = '#{LegacyProviderImage::STATE_COMPLETED}'"
-    )
-    respond_to do |format|
-      format.html
-      format.json { render :json => @legacy_templates }
-    end
   end
 
   def create
-    if params[:cancel]
-      redirect_to select_legacy_template_instances_path
-      return
-    end
-
-    @instance = Instance.new(params[:instance])
-    @instance.state = Instance::STATE_NEW
-    @instance.owner = current_user
-
-    respond_to do |format|
-      begin
-        require_privilege(Privilege::CREATE, Instance,
-                          Pool.find(@instance.pool_id))
-        free_quota = Quota.can_start_instance?(@instance, nil)
-        raise "Pool is not enabled" unless @instance.pool and @instance.pool.enabled
-        @instance.transaction do
-          @instance.save!
-          # set owner permissions:
-          @task = InstanceTask.create!({:user        => current_user,
-                                        :task_target => @instance,
-                                        :action      => InstanceTask::ACTION_CREATE})
-          condormatic_instance_create(@task)
-        end
-      rescue
-        init_new_instance_attrs
-        flash[:warning] = "Failed to launch instance: #{$!}"
-        format.js { render :partial => 'new' }
-        format.html { render :new }
-        format.json { render :json => @instance, :status => :unprocessable_entity}
-      else
-        if free_quota
-          flash[:notice] = "Instance added."
-        else
-          flash[:warning] = "Quota Exceeded: Instance will not start until you have free quota"
-        end
-        format.js { render :partial => 'properties', :id => @instance.id }
-        format.html { redirect_to instances_path }
-        format.json { render :json => @instance, :status => :created }
-      end
-    end
   end
 
   def show
@@ -309,7 +241,6 @@ class InstancesController < ApplicationController
     @header = [
       {:name => 'VM NAME', :sort_attr => 'name'},
       {:name => 'STATUS', :sortable => false},
-      {:name => 'TEMPLATE', :sort_attr => 'legacy_templates.name'},
       {:name => 'PUBLIC ADDRESS', :sort_attr => 'public_addresses'},
       {:name => 'PROVIDER', :sortable => false},
       {:name => 'CREATED BY', :sort_attr => 'users.last_name'},
@@ -319,7 +250,7 @@ class InstancesController < ApplicationController
   end
 
   def load_instances
-    @instances = Instance.all(:include => [:legacy_template, :owner],
+    @instances = Instance.all(:include => [:owner],
                               :conditions => {:pool_id => @pools},
                               :order => (params[:order_field] || 'name') +' '+ (params[:order_dir] || 'asc')
     )
diff --git a/src/app/controllers/pool_families_controller.rb b/src/app/controllers/pool_families_controller.rb
index bd57b2e..c8acdc8 100644
--- a/src/app/controllers/pool_families_controller.rb
+++ b/src/app/controllers/pool_families_controller.rb
@@ -3,7 +3,6 @@ class PoolFamiliesController < ApplicationController
   before_filter :set_params_and_header, :only => [:index, :show]
   before_filter :load_pool_families, :only =>[:show]
   before_filter :load_tab_captions_and_details_tab, :only => [:show]
-  layout 'application'
 
   def top_section
     :administer
diff --git a/src/app/controllers/pools_controller.rb b/src/app/controllers/pools_controller.rb
index 594fdac..1068bd2 100644
--- a/src/app/controllers/pools_controller.rb
+++ b/src/app/controllers/pools_controller.rb
@@ -2,7 +2,6 @@ class PoolsController < ApplicationController
   before_filter :require_user
   before_filter :set_params_and_header, :only => [:index, :show]
   before_filter :load_pools, :only => [:show]
-  layout 'application'
 
   viewstate :index do |default|
     default.merge!({
diff --git a/src/app/controllers/provider_accounts_controller.rb b/src/app/controllers/provider_accounts_controller.rb
index f17ee70..710f5d4 100644
--- a/src/app/controllers/provider_accounts_controller.rb
+++ b/src/app/controllers/provider_accounts_controller.rb
@@ -2,7 +2,6 @@ class ProviderAccountsController < ApplicationController
   before_filter :require_user
   before_filter :load_accounts, :only => [:index,:show]
   before_filter :set_view_vars, :only => [:index,:show]
-  layout 'application'
 
   def top_section
     :administer
diff --git a/src/app/controllers/providers_controller.rb b/src/app/controllers/providers_controller.rb
index 7acaeb8..7364389 100644
--- a/src/app/controllers/providers_controller.rb
+++ b/src/app/controllers/providers_controller.rb
@@ -1,7 +1,6 @@
 class ProvidersController < ApplicationController
   before_filter :require_user
   before_filter :set_view_envs, :only => [:show, :index]
-  layout 'application'
 
   def top_section
     :administer
diff --git a/src/app/controllers/realm_mappings_controller.rb b/src/app/controllers/realm_mappings_controller.rb
index 966942c..18ddce2 100644
--- a/src/app/controllers/realm_mappings_controller.rb
+++ b/src/app/controllers/realm_mappings_controller.rb
@@ -1,6 +1,5 @@
 class RealmMappingsController < ApplicationController
   before_filter :require_user
-  layout 'application'
 
   def top_section
     :administer
diff --git a/src/app/controllers/realms_controller.rb b/src/app/controllers/realms_controller.rb
index 9146c1d..59051fa 100644
--- a/src/app/controllers/realms_controller.rb
+++ b/src/app/controllers/realms_controller.rb
@@ -1,7 +1,6 @@
 class RealmsController < ApplicationController
   before_filter :require_user
   before_filter :load_realms, :only =>[:index, :show]
-  layout 'application'
 
   def top_section
     :administer
diff --git a/src/app/controllers/roles_controller.rb b/src/app/controllers/roles_controller.rb
index 72bd984..89968c3 100644
--- a/src/app/controllers/roles_controller.rb
+++ b/src/app/controllers/roles_controller.rb
@@ -2,7 +2,6 @@ class RolesController < ApplicationController
   before_filter :require_user
   before_filter :load_roles, :only => [:show]
   before_filter :load_params_and_headers, :only => [:index]
-  layout 'application'
 
   def top_section
     :administer
diff --git a/src/app/controllers/settings_controller.rb b/src/app/controllers/settings_controller.rb
index b0e9567..5be3ba9 100644
--- a/src/app/controllers/settings_controller.rb
+++ b/src/app/controllers/settings_controller.rb
@@ -1,6 +1,5 @@
 class SettingsController < ApplicationController
   before_filter :require_user
-  layout 'application'
 
   def top_section
     :administer
diff --git a/src/app/controllers/suggested_deployables_controller.rb b/src/app/controllers/suggested_deployables_controller.rb
index 6ec8251..0404fbc 100644
--- a/src/app/controllers/suggested_deployables_controller.rb
+++ b/src/app/controllers/suggested_deployables_controller.rb
@@ -1,6 +1,5 @@
 class SuggestedDeployablesController < ApplicationController
   before_filter :require_user
-  layout 'application'
 
   def top_section
     :administer
diff --git a/src/app/controllers/users_controller.rb b/src/app/controllers/users_controller.rb
index 106c0eb..1b4f7b5 100644
--- a/src/app/controllers/users_controller.rb
+++ b/src/app/controllers/users_controller.rb
@@ -1,7 +1,6 @@
 class UsersController < ApplicationController
   before_filter :require_user, :except => [:new, :create]
   before_filter :load_users, :only => [:show]
-  layout 'application'
 
   def top_section
     :administer
diff --git a/src/app/models/deployment.rb b/src/app/models/deployment.rb
index cd5371f..9251b36 100644
--- a/src/app/models/deployment.rb
+++ b/src/app/models/deployment.rb
@@ -1,19 +1,18 @@
 # == Schema Information
-# Schema version: 20110603204130
+# Schema version: 20110616100915
 #
 # Table name: deployments
 #
-#  id                   :integer         not null, primary key
-#  name                 :string(1024)    not null
-#  realm_id             :integer
-#  owner_id             :integer
-#  pool_id              :integer         not null
-#  legacy_deployable_id :integer
-#  lock_version         :integer         default(0)
-#  created_at           :datetime
-#  updated_at           :datetime
-#  frontend_realm_id    :integer
-#  deployable_xml       :text
+#  id                :integer         not null, primary key
+#  name              :string(1024)    not null
+#  realm_id          :integer
+#  owner_id          :integer
+#  pool_id           :integer         not null
+#  lock_version      :integer         default(0)
+#  created_at        :datetime
+#  updated_at        :datetime
+#  frontend_realm_id :integer
+#  deployable_xml    :text
 #
 
 #
@@ -48,7 +47,6 @@ class Deployment < ActiveRecord::Base
 
   belongs_to :pool
 
-  belongs_to :legacy_deployable
   has_many :instances
 
   belongs_to :realm
diff --git a/src/app/models/icicle.rb b/src/app/models/icicle.rb
index 28b857f..dfea6c8 100644
--- a/src/app/models/icicle.rb
+++ b/src/app/models/icicle.rb
@@ -1,14 +1,13 @@
 # == Schema Information
-# Schema version: 20110603204130
+# Schema version: 20110616100915
 #
 # Table name: icicles
 #
-#  id                       :integer         not null, primary key
-#  uuid                     :string(255)
-#  xml                      :text
-#  legacy_provider_image_id :integer
-#  created_at               :datetime
-#  updated_at               :datetime
+#  id         :integer         not null, primary key
+#  uuid       :string(255)
+#  xml        :text
+#  created_at :datetime
+#  updated_at :datetime
 #
 
 class Icicle < ActiveRecord::Base
@@ -16,7 +15,6 @@ class Icicle < ActiveRecord::Base
 
   validates_presence_of :uuid
   validates_uniqueness_of :uuid
-  belongs_to :legacy_provider_image
 
   def self.create_or_update(uuid)
     icicle = Icicle.find_by_uuid(uuid) || Icicle.new(:uuid => uuid)
